from setuptools import setup, find_packages

setup(
    name="sadrive",
    version="2.0.1",
    author="jsmaskeen",
    author_email="jsmaskeen@gmail.com",
    description="Use many service accounts as a unified google storage, with mounting to filesystem, and parallel uploads/downloads.",
    long_description=open("README.md", encoding="utf-8").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/jsmaskeen/sa-drive",
    packages=find_packages(exclude=["tests", "docs","gui-deprecated"]),
    classifiers=[
    "Development Status :: 5 - Production/Stable",
    "Intended Audience :: Developers",
    "Programming Language :: Python :: 3.10",
    "Operating System :: OS Independent",
    "Topic :: Software Development :: Libraries :: Python Modules",
    "Typing :: Typed"
],
    license="GPL-3.0-or-later",
    python_requires=">=3.11",
    keywords=[
        "python",
        "service accounts",
        "unlimited storage",
        "file system",
        "google drive",
        "shared drive",
        "teamdrive",
        "sadrive",
    ],
    install_requires=[
        "ansicon==1.89.0",
        "blessed==1.21.0",
        "cachetools==5.5.2",
        "certifi==2025.6.15",
        "cffi==1.17.1",
        "charset-normalizer==3.4.2",
        "click==8.2.1",
        "colorama==0.4.6",
        "cryptography==43.0.3",
        "editor==1.6.6",
        "google-api-core==2.25.1",
        "google-api-python-client==2.172.0",
        "google-api-python-client-stubs==1.29.0",
        "google-auth==2.40.3",
        "google-auth-httplib2==0.2.0",
        "googleapis-common-protos==1.70.0",
        "httplib2==0.22.0",
        "idna==3.10",
        "inquirer==3.4.0",
        "jinxed==1.3.0",
        "markdown-it-py==3.0.0",
        "mdurl==0.1.2",
        "oauth2client==4.1.3",
        "prettytable==3.16.0",
        "proto-plus==1.26.1",
        "protobuf==6.31.1",
        "pyasn1==0.6.1",
        "pyasn1_modules==0.4.2",
        "pycparser==2.22",
        "PyDrive2==1.21.3",
        "Pygments==2.19.1",
        "pyOpenSSL==24.2.1",
        "pyparsing==3.2.3",
        "PyYAML==6.0.2",
        "readchar==4.2.1",
        "requests==2.32.4",
        "rich==14.0.0",
        "rsa==4.9.1",
        "runs==1.2.2",
        "six==1.17.0",
        "types-httplib2==0.22.0.20250516",
        "typing_extensions==4.14.0",
        "uritemplate==4.2.0",
        "urllib3==2.5.0",
        "wcwidth==0.2.13",
        "xmod==1.8.1",
    ],
)
